## shell-mount-operation shell-mount-operation |

## Functions

GMountOperation * | shell_mount_operation_new ()
GArray * | shell_mount_operation_get_show_processes_pids ()
gchar ** | shell_mount_operation_get_show_processes_choices ()
gchar * | shell_mount_operation_get_show_processes_message ()

## Signals

void | show-processes-2 | Run Last

## Types and Values

#define | SHELL_TYPE_MOUNT_OPERATION
| ShellMountOperation

## Object Hierarchy

        GObject
        ╰── GMountOperation
            ╰── ShellMountOperation

## Description

## Functions

### shell_mount_operation_new ()

    GMountOperation *
    shell_mount_operation_new (void);

### shell_mount_operation_get_show_processes_pids ()

    GArray *
    shell_mount_operation_get_show_processes_pids
                                   (ShellMountOperation *self);

#### Parameters

self | a ShellMountOperation |

#### Returns

a GArray.

[transfer full][element-type GPid]

### shell_mount_operation_get_show_processes_choices ()

    gchar **
    shell_mount_operation_get_show_processes_choices
                                   (ShellMountOperation *self);

#### Parameters

self | a ShellMountOperation |

#### Returns

.

[transfer full]

### shell_mount_operation_get_show_processes_message ()

    gchar *
    shell_mount_operation_get_show_processes_message
                                   (ShellMountOperation *self);

#### Parameters

self | a ShellMountOperation |

#### Returns

.

[transfer full]

## Types and Values

### SHELL_TYPE_MOUNT_OPERATION

    #define SHELL_TYPE_MOUNT_OPERATION (shell_mount_operation_get_type ())

### ShellMountOperation

    typedef struct _ShellMountOperation ShellMountOperation;

## Signal Details

### The `“show-processes-2”` signal

    void
    user_function (ShellMountOperation *shellmountoperation,
                   gpointer             user_data)

Flags: Run Last